=== debian/changelog ===
clasp (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * debian/copyright: clasp switched to MIT, and so does the packaging
  * debian/rules: build with cmake
  * debian/docs: use README.md
  * set debhelper compatibility level to 10
  * debian/control:
    - Build-Depends on cmake, drop pkg-config
    - add Testsuite: autopkgtest
  * debian/tests:
    - add dep8 testsuite control
    - add clasp0, clasp1, clasp2 tests
  * drop reproducible-build.patch, clasp uses cmake as build system now

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 07 May 2017 15:02:29 +0200
