=== debian/changelog ===
clasp (3.3.2-3) unstable; urgency=medium

  * Switch to g++-6 to work around mips64el FTBFS.
    - debian/rules: force CXX to g++-6
    - debian/control: Build-Depends on g++-6

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Tue, 29 Aug 2017 07:21:44 +0200

clasp (3.3.2-2) unstable; urgency=medium

  * Bug fix: "clasp FTBFS on armel: undefined reference to
    `__atomic_load_8&#39;", thanks to Adrian Bunk (Closes: #872549).
  * debian/rules: link with libatomic on armel

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 21 Aug 2017 08:31:52 +0200

clasp (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
  * debian/control: Bump Standards-Version to 4.0.1

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 18 Aug 2017 07:02:43 +0200
