=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 10),
  dpkg-dev (>= 1.16.1~),
- g++ (>= 4:6.1.1),
+ g++-6 (>= 6.1.1),
  cmake (>= 3.1.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/clasp.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/clasp.git
 Homepage: https://www.potassco.org/clasp/
