## clasp 3.3.3

=== debian/changelog ===
clasp (3.3.3-3) unstable; urgency=medium

  * debian/rules: check DEB_BUILD_PROFILES against nocheck

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 05 Feb 2018 20:22:21 +0100

clasp (3.3.3-2) unstable; urgency=medium

  * update debian/control and debian/compat
    + update Vcs-Git and Vcs-Browser for salsa
    + bump Standards-Version to 4.1.3
    + bump debhelper compatibility version to 11

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 03 Feb 2018 13:42:01 +0100

clasp (3.3.3-1) unstable; urgency=medium

  * New upstream version 3.3.3
  * debian/watch: download from /releases/download/vN.N.N
  * drop upstream applied clasp-remove-wrong-assertion.patch

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 12 Nov 2017 09:11:47 +0100

clasp (3.3.2-4) unstable; urgency=medium

  * debian/control fixes, add Build-Depends on recent g++-7
    + bump Standards-Version to 4.1.1
    + Build-Depends on g++-7 >= 7.2.0-3 for fixed #871514
    + fix priority-extra-is-replaced-by-priority-optional
    + fix unnecessary-testsuite-autopkgtest-header
  * debian/rules: force build with g++-7
  * add clasp-remove-wrong-assertion.patch from upstream commit 02c6d85

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 04 Nov 2017 10:45:45 +0100
