=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: clasp
 Section: interpreters
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
  dpkg-dev (>= 1.16.1~),
- g++-6 (>= 6.1.1),
+ g++-7 (>= 7.2.0-3),
  cmake (>= 3.1.0)
-Standards-Version: 4.0.1
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/clasp.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/clasp.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/science-team/clasp.git
+Vcs-Browser: https://salsa.debian.org/science-team/clasp
 Homepage: https://www.potassco.org/clasp/
-Testsuite: autopkgtest
 
 Package: clasp
 Architecture: any
