=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,9 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# bug #871514 seems to cause mips64el FTBFS, force g++-6 for now
-export CXX = g++-6
-export CC = gcc-6
+# force g++-7
+export CXX = g++-7
+export CC = gcc-7
 # inject CPPFLAGS to CXXFLAGS
 CXXFLAGS += $(CPPFLAGS)
 
@@ -54,14 +54,16 @@
 override_dh_auto_install:
 	dh_auto_install --builddirectory=$(TOPBUILDDIR)
 
-# remove the whole build dir
 override_dh_auto_clean:
-	rm -rf ./build
+	dh_auto_clean --builddirectory=$(TOPBUILDDIR)
 
 # run and output test results
 override_dh_auto_test:
-	dh_auto_test --builddirectory=$(TOPBUILDDIR)
-	test -d $(TOPBUILDDIR)/Testing/Temporary && tail -n +1 -v -- $(TOPBUILDDIR)/Testing/Temporary/*
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test --builddirectory=$(TOPBUILDDIR) &&\
+		{ EXIT_CODE=$$? ; echo "Exit $$EXIT_CODE" ; test -d $(TOPBUILDDIR)/Testing/Temporary && tail -n +1 -v -- $(TOPBUILDDIR)/Testing/Temporary/* ; exit $$EXIT_CODE ; } ||\
+		{ EXIT_CODE=$$? ; echo "Exit $$EXIT_CODE" ; test -d $(TOPBUILDDIR)/Testing/Temporary && tail -n +1 -v -- $(TOPBUILDDIR)/Testing/Temporary/* ; exit $$EXIT_CODE ; }
+endif
 
 # install CHANGES as changelog
 override_dh_installchangelogs:
