## clasp 3.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.1)
-project(CLASP VERSION 3.3.2 LANGUAGES CXX)
+project(CLASP VERSION 3.3.4 LANGUAGES CXX)
 # Enable folders in IDEs like Visual Studio
 set_property(GLOBAL PROPERTY USE_FOLDERS ON)
 if (POLICY CMP0063)
@@ -10,6 +10,8 @@
 	set(CMAKE_BUILD_TYPE "Release")
 endif()
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
+
+include(GNUInstallDirs)
 
 # Configuration options
 option(CLASP_BUILD_APP          "whether or not to build the clasp application" ON)
@@ -40,17 +42,50 @@
 		string(REGEX REPLACE "/MD" "/MT" CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE}")
 	endif()
 endif()
-set(clasp_include_dest  "include/clasp-${CLASP_VERSION}")
-set(clasp_library_dest "lib/clasp-${CLASP_VERSION}")
+set(clasp_include_dest "clasp-${CLASP_VERSION}")
+set(clasp_library_dest "clasp-${CLASP_VERSION}")
+set(cmake_dest         "clasp-${CLASP_VERSION}/cmake")
+
+if (CLASP_INSTALL_LIB AND NOT CMAKE_INSTALL_LIBDIR)
+	message(STATUS "LIBDIR no set - using lib")
+	set(CMAKE_INSTALL_LIBDIR lib)
+endif()
+
 
 # C++11 is required for building with threads
 if (CLASP_BUILD_WITH_THREADS)
 	set(CMAKE_CXX_STANDARD 11)
 	set(CMAKE_CXX_STANDARD_REQUIRED ON)
-	set(CMAKE_CXX_EXTENSIONS OFF)
+	set(CMAKE_CXX_EXTENSIONS ON)
 	# some versions of findThreads will fail if C is not enabled
 	enable_language(C)
 	find_package(Threads REQUIRED)
+
+	# Add libatomic if necessary
+	if (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND CMAKE_USE_PTHREADS_INIT)
+		include (CheckCXXSourceCompiles)
+		set (OLD_CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS})
+		set (OLD_CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES})
+		list(APPEND CMAKE_REQUIRED_FLAGS "-std=c++11")
+		list(APPEND CMAKE_REQUIRED_LIBRARIES Threads::Threads)
+		check_cxx_source_compiles("
+#include <atomic>
+#include <cstdint>
+std::atomic<uint64_t> x (0);
+int main() {
+	uint64_t i = x.load(std::memory_order_relaxed);
+	return 0;
+}
+" CLASP_HAS_WORKING_LIBATOMIC)
+		set (CMAKE_REQUIRED_FLAGS ${OLD_CMAKE_REQUIRED_FLAGS})
+		set (CMAKE_REQUIRED_LIBRARIES ${OLD_CMAKE_REQUIRED_LIBRARIES})
+		if (NOT CLASP_HAS_WORKING_LIBATOMIC)
+			check_library_exists(atomic __atomic_fetch_add_4 "" CLASP_HAS_LIBATOMIC)
+			if (CLASP_HAS_LIBATOMIC)
+				set_property(TARGET Threads::Threads APPEND PROPERTY INTERFACE_LINK_LIBRARIES "atomic")
+			endif()
+		endif()
+	endif()
 endif()
 
 # Check for and optionally build external dependency
@@ -99,7 +134,14 @@
 configure_file(cmake/clasp-config-version.cmake.in
 	${CMAKE_CURRENT_BINARY_DIR}/clasp-config-version.cmake
 	@ONLY)
+
+configure_file(cmake/clasp-config.cmake.in
+	${CMAKE_CURRENT_BINARY_DIR}/clasp-config.cmake
+	@ONLY)
+
 if (CLASP_INSTALL_LIB)
-	install(FILES cmake/clasp-config.cmake ${CMAKE_CURRENT_BINARY_DIR}/clasp-config-version.cmake DESTINATION "${clasp_library_dest}")
-	install(EXPORT clasp DESTINATION "${clasp_library_dest}")
+	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/clasp-config.cmake ${CMAKE_CURRENT_BINARY_DIR}/clasp-config-version.cmake
+	  DESTINATION "${CMAKE_INSTALL_LIBDIR}/${cmake_dest}")
+	install(EXPORT clasp DESTINATION "${CMAKE_INSTALL_LIBDIR}/${cmake_dest}")
 endif()
+
