=== debian/changelog ===
clasp (3.3.4-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:25 +0100

clasp (3.3.4-2) unstable; urgency=medium

  * debian/control: bump Standards-Version to 4.2.1
  * Fix reproducible builds FTBFS
    - debian/control: Build-Depends on g++-8
    - debian/rules: force g++-8

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 04 Nov 2018 16:03:57 +0100

clasp (3.3.4-1) unstable; urgency=medium

  * New upstream version 3.3.4
  * debian/control: bump Standards-Version to 4.1.4

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 30 Jun 2018 08:31:27 +0200
