=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 11),
  dpkg-dev (>= 1.16.1~),
- g++-7 (>= 7.2.0-3),
+ g++-8 (>= 8.2.0),
  cmake (>= 3.1.0)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/science-team/clasp.git
 Vcs-Browser: https://salsa.debian.org/science-team/clasp
 Homepage: https://www.potassco.org/clasp/
