=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,9 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# force g++-7
-export CXX = g++-7
-export CC = gcc-7
+# force g++-8
+export CXX = g++-8
+export CC = gcc-8
 # inject CPPFLAGS to CXXFLAGS
 CXXFLAGS += $(CPPFLAGS)
