=== debian/changelog ===
clasp (3.3.5-5) unstable; urgency=medium

  * Team upload.
  * Bump CMake policy version (Closes: #1112785)

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Sep 2025 22:19:30 +0200

clasp (3.3.5-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build using the default gcc. (Closes: #1023678)

 -- Adrian Bunk <bunk@debian.org>  Sat, 19 Nov 2022 12:10:37 +0200

clasp (3.3.5-4.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Lukas Märdian ]
  * Use system-provided catch (Closes: #1004022)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 28 Sep 2022 23:21:38 +0200

clasp (3.3.5-4) unstable; urgency=medium

  * Bug fix: "non-standard gcc/g++ used for build (gcc-9)", thanks to
    Matthias Klose (Closes: #978509).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 28 Dec 2020 12:26:04 +0000

clasp (3.3.5-3) unstable; urgency=medium

  * Upload to unstable

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 27 Dec 2020 01:15:36 +0000

clasp (3.3.5-2) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 1.3.2-2.

  [ Thomas Krennwallner ]
  * debian/control: bump Build-Depends to debhelper-compat 13
  * debian/control: bump Standards-version to 4.5.1 (no changes required)
  * compile with g++-10 >= 10.2.1
  * Set upstream metadata fields: Changelog, Contact, FAQ, Name,
    Other-References, Reference

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 26 Dec 2020 21:25:44 +0000

clasp (3.3.5-1) unstable; urgency=medium

  * New upstream version 3.3.5

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 15 Mar 2020 14:27:36 -0400

clasp (3.3.4-4) unstable; urgency=medium

  * debian/patches: add link-libatomic-check-gcc.patch

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 13 Mar 2020 06:22:27 -0400

clasp (3.3.4-3) unstable; urgency=medium

  * compile with g++-9
  * Bug fix: "non-standard gcc/g++ used for build (gcc-8)", thanks to
    Matthias Klose (Closes: #944176).
  * debian/rules: don't confuse build target with build directory, disable
    libatomic checks
  * debian/control: bump Standards-Version to 4.5.0 (no changes required),
    set Rules-Requires-Root to no
  * setup debhelper-compat 12

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 12 Mar 2020 08:17:17 -0400
