=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
  dpkg-dev (>= 1.16.1~),
- g++-8 (>= 8.2.0),
+ catch,
  cmake (>= 3.1.0)
-Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/science-team/clasp.git
 Vcs-Browser: https://salsa.debian.org/science-team/clasp
 Homepage: https://www.potassco.org/clasp/
