=== debian/rules ===
--- 
+++ 
@@ -4,38 +4,25 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-# clasp requires c++11 threads with 64bit __atomic_exchange, we need to
-# link with libatomic on armel, powerpc, powerpcspe, m68k, mips, mipsel, and
-# sh4, see also
-# https://gcc.gnu.org/wiki/Atomic
-# https://gcc.gnu.org/wiki/Atomic/GCCMM/LIbrary
-arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH | egrep -x "(armel|powerpc|powerpcspe|m68k|mips|mipsel|sh4)")
-
 # use custom hardening config flags for compiling clasp
 CONFIG=hardening
-CONFIGPARMS = -DLIB_POTASSCO_BUILD_APP=OFF -DCLASP_BUILD_TESTS=ON -DLIB_POTASSCO_BUILD_TESTS=ON -DCLASP_BUILD_EXAMPLES=ON
-TOPBUILDDIR = build/$(CONFIG)_mt
+CONFIGPARMS = -DLIB_POTASSCO_BUILD_APP=OFF -DCLASP_BUILD_TESTS=ON -DLIB_POTASSCO_BUILD_TESTS=ON -DCLASP_BUILD_EXAMPLES=ON \
+	      -DCMAKE_POLICY_VERSION_MINIMUM=3.10
+TOPBUILDDIR = build.dir/$(CONFIG)_mt
 
 #
-# export CXXFLAGS and LDFLAGS for configure.sh
+# export CXXFLAGS and LDFLAGS for cmake
 #
-# add -O3 and NDEBUG and enable all hardening flags
-# link with libatomic on architectures without built-in atomic
+# default to -O3 -Wall -DNDEBUG and enable all hardening flags
 #
-DEB_CXXFLAGS_MAINT_APPEND = -O3 -DNDEBUG
-DEB_LDFLAGS_MAINT_APPEND =
-ifeq ($(if $(arch),atomic), atomic)
-	DEB_LDFLAGS_MAINT_APPEND += -latomic
-endif
+DEB_CXXFLAGS_MAINT_APPEND = -O3 -Wall
+DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-# force g++-8
-export CXX = g++-8
-export CC = gcc-8
 # inject CPPFLAGS to CXXFLAGS
 CXXFLAGS += $(CPPFLAGS)
