=== debian/tests/control ===
Tests: clasp0, clasp1, clasp2
Depends: gringo, @
